Name:           soapy-plutosdr
Version:        0.2.2
Release:        1%{?dist}
Summary:        SoapySDR module for ADALM-PLUTO hardware

License:        LGPL-2.1-or-later
URL:            https://github.com/pothosware/SoapyPlutoSDR
Source0:        https://github.com/pothosware/SoapyPlutoSDR/archive/refs/tags/soapy-plutosdr-%{version}.tar.gz

BuildRequires:  cmake gcc-c++ SoapySDR-devel libad9361-devel libiio-devel libusb1-devel

%description
SoapyPlutoSDR is a plug-in module for SoapySDR adding support for
ADALM-PLUTO hardware.

%prep
%autosetup -n SoapyPlutoSDR-soapy-plutosdr-%{version}

%build
%cmake
%cmake_build


%install
%cmake_install


%ldconfig_scriptlets
%files
%license LICENSE
%{_libdir}/SoapySDR/modules*/libPlutoSDRSupport.so

%changelog
* Tue Mar 05 2024 Thomas Sailer <fedora@tsailer.ch> - 0.2.2-1
- initial Fedora packaging
